HAILSingletonController (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.jboss.HAILSingletonController interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.jboss
Interface HAILSingletonController

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface HAILSingletonController

extends LogicalElement

Represents a HAILSingletonController

Naming Rules:
  0="UDPMulticastAddress,partitionName" 1="managedSystemName"
Persistable:
  true
Table Name:
  JBHAILSC

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`boolean` | `getMasterNode()`
`java.lang.String` | `getName()`
`JBossCluster` | `getParent()`
`java.lang.String` | `getPartitionName()`
`java.lang.String` | `getStateString()`
`HAIL` | `getTargetName()`
`java.lang.String` | `getTargetStartMethod()`
`java.lang.String` | `getTargetStartMethodArgument()`
`java.lang.String` | `getTargetStopMethod()`
`java.lang.String` | `getTargetStopMethodArgument()`
`java.lang.String` | `getUDPMulticastAddress()`
`boolean` | `hasMasterNode()`
`boolean` | `hasName()`
`boolean` | `hasParent()`
`boolean` | `hasPartitionName()`
`boolean` | `hasStateString()`
`boolean` | `hasTargetName()`
`boolean` | `hasTargetStartMethod()`
`boolean` | `hasTargetStartMethodArgument()`
`boolean` | `hasTargetStopMethod()`
`boolean` | `hasTargetStopMethodArgument()`
`boolean` | `hasUDPMulticastAddress()`
`void` | `setMasterNode(boolean node)`
`void` | `setName(java.lang.String name)`
`void` | `setParent(JBossCluster jbCluster)`
`void` | `setPartitionName(java.lang.String name)`
`void` | `setStateString(java.lang.String state)`
`void` | `setTargetName(HAIL hail)`
`void` | `setTargetStartMethod(java.lang.String method)`
`void` | `setTargetStartMethodArgument(java.lang.String method)`
`void` | `setTargetStopMethod(java.lang.String method)`
`void` | `setTargetStopMethodArgument(java.lang.String method)`
`void` | `setUDPMulticastAddress(java.lang.String address)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getPartitionName

    java.lang.String getPartitionName()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPartitionName

    void setPartitionName(java.lang.String name)

### hasPartitionName

    boolean hasPartitionName()

### getUDPMulticastAddress

    java.lang.String getUDPMulticastAddress()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setUDPMulticastAddress

    void setUDPMulticastAddress(java.lang.String address)

### hasUDPMulticastAddress

    boolean hasUDPMulticastAddress()

### getParent

    JBossCluster getParent()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="true"

### setParent

    void setParent(JBossCluster jbCluster)

### hasParent

    boolean hasParent()

### getStateString

    java.lang.String getStateString()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setStateString

    void setStateString(java.lang.String state)

### hasStateString

    boolean hasStateString()

### getTargetStopMethod

    java.lang.String getTargetStopMethod()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTargetStopMethod

    void setTargetStopMethod(java.lang.String method)

### hasTargetStopMethod

    boolean hasTargetStopMethod()

### getTargetStopMethodArgument

    java.lang.String getTargetStopMethodArgument()
                                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTargetStopMethodArgument

    void setTargetStopMethodArgument(java.lang.String method)

### hasTargetStopMethodArgument

    boolean hasTargetStopMethodArgument()

### getTargetStartMethod

    java.lang.String getTargetStartMethod()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTargetStartMethod

    void setTargetStartMethod(java.lang.String method)

### hasTargetStartMethod

    boolean hasTargetStartMethod()

### getTargetStartMethodArgument

    java.lang.String getTargetStartMethodArgument()
                                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTargetStartMethodArgument

    void setTargetStartMethodArgument(java.lang.String method)

### hasTargetStartMethodArgument

    boolean hasTargetStartMethodArgument()

### getTargetName

    HAIL getTargetName()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Controls" reverse="false"

### setTargetName

    void setTargetName(HAIL hail)

### hasTargetName

    boolean hasTargetName()

### getMasterNode

    boolean getMasterNode()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMasterNode

    void setMasterNode(boolean node)

### hasMasterNode

    boolean hasMasterNode()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String name)

### hasName

    boolean hasName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD